Package twisted :: Package web :: Module widgets :: Class Widget

[show private | hide private]
[frames | no frames]

## Class Widget

Known Subclasses:
  `Form`, `ConfigRoot`, `Presentation`, `PerspectivesGadget`, `StreamWidget`, `WidgetGuard`, `WidgetMixin`, `Time`, `DataWidget`, `Container`, `ParticipantListWidget`, `WordsGadget`, `ParticipantInfoWidget`

A component of a web page.

Method Summary
| ``display`(self, request)` Implement me to represent your widget.
| `getTitle(self, request)`

Class Variable Summary
`None` | `title`

Method Details

### display(self, request)

Implement me to represent your widget.

I must return a list of strings and twisted.internet.defer.Deferred instances.

Class Variable Details

### title

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:30 2003 | http://epydoc.sf.net